---
title: llarp::dht::ISNode

---

# llarp::dht::ISNode





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ISNode](Classes/structllarp_1_1dht_1_1ISNode.md#function-isnode)**() |
| | **[ISNode](Classes/structllarp_1_1dht_1_1ISNode.md#function-isnode)**([service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) other) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1ISNode.md#function-extractstatus)**() const |
| bool | **[operator<](Classes/structllarp_1_1dht_1_1ISNode.md#function-operator<)**(const [ISNode](Classes/structllarp_1_1dht_1_1ISNode.md) & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) | **[introset](Classes/structllarp_1_1dht_1_1ISNode.md#variable-introset)**  |
| [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[ID](Classes/structllarp_1_1dht_1_1ISNode.md#variable-id)**  |

## Public Functions Documentation

### function ISNode

```cpp
inline ISNode()
```


### function ISNode

```cpp
inline ISNode(
    service::EncryptedIntroSet other
)
```


### function ExtractStatus

```cpp
inline util::StatusObject ExtractStatus() const
```


### function operator<

```cpp
inline bool operator<(
    const ISNode & other
) const
```


## Public Attributes Documentation

### variable introset

```cpp
service::EncryptedIntroSet introset;
```


### variable ID

```cpp
Key_t ID;
```


-------------------------------

Updated on 2023-01-09 at 16:43:38 +0000